> ## Documentation Index
> Fetch the complete documentation index at: https://docs.firecrawl.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Crawl Status

> Note: A new [v2 version of this API](/api-reference/endpoint/crawl-get) is now available with improved features and performance.


## OpenAPI

````yaml api-reference/v1-openapi.json GET /crawl/{id}
openapi: 3.0.0
info:
  title: Firecrawl API
  version: v1
  description: >-
    API for interacting with Firecrawl services to perform web scraping and
    crawling tasks.
  contact:
    name: Firecrawl Support
    url: https://firecrawl.dev/support
    email: support@firecrawl.dev
servers:
  - url: https://api.firecrawl.dev/v1
security:
  - bearerAuth: []
paths:
  /crawl/{id}:
    parameters:
      - name: id
        in: path
        description: The ID of the crawl job
        required: true
        schema:
          type: string
          format: uuid
    get:
      tags:
        - Crawling
      summary: Get the status of a crawl job
      operationId: getCrawlStatus
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CrawlStatusResponseObj'
        '402':
          description: Payment required
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Payment required to access this resource.
        '429':
          description: Too many requests
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: >-
                      Request rate limit exceeded. Please wait and try again
                      later.
        '500':
          description: Server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: An unexpected error occurred on the server.
      security:
        - bearerAuth: []
components:
  schemas:
    CrawlStatusResponseObj:
      type: object
      properties:
        status:
          type: string
          description: >-
            The current status of the crawl. Can be `scraping`, `completed`, or
            `failed`.
        total:
          type: integer
          description: The total number of pages that were attempted to be crawled.
        completed:
          type: integer
          description: The number of pages that have been successfully crawled.
        creditsUsed:
          type: integer
          description: The number of credits used for the crawl.
        expiresAt:
          type: string
          format: date-time
          description: The date and time when the crawl will expire.
        next:
          type: string
          nullable: true
          description: >-
            The URL to retrieve the next 10MB of data. Returned if the crawl is
            not completed or if the response is larger than 10MB.
        data:
          type: array
          description: The data of the crawl.
          items:
            type: object
            properties:
              markdown:
                type: string
              html:
                type: string
                nullable: true
                description: HTML version of the content on page if `includeHtml`  is true
              rawHtml:
                type: string
                nullable: true
                description: Raw HTML content of the page if `includeRawHtml`  is true
              links:
                type: array
                items:
                  type: string
                description: List of links on the page if `includeLinks` is true
              screenshot:
                type: string
                nullable: true
                description: Screenshot of the page if `includeScreenshot` is true
              metadata:
                type: object
                properties:
                  title:
                    oneOf:
                      - type: string
                      - type: array
                        items:
                          type: string
                    description: >-
                      Title extracted from the page, can be a string or array of
                      strings
                  description:
                    oneOf:
                      - type: string
                      - type: array
                        items:
                          type: string
                    description: >-
                      Description extracted from the page, can be a string or
                      array of strings
                  language:
                    oneOf:
                      - type: string
                      - type: array
                        items:
                          type: string
                    nullable: true
                    description: >-
                      Language extracted from the page, can be a string or array
                      of strings
                  sourceURL:
                    type: string
                    format: uri
                  keywords:
                    oneOf:
                      - type: string
                      - type: array
                        items:
                          type: string
                    description: >-
                      Keywords extracted from the page, can be a string or array
                      of strings
                  ogLocaleAlternate:
                    type: array
                    items:
                      type: string
                    description: Alternative locales for the page
                  '<any other metadata> ':
                    oneOf:
                      - type: string
                      - type: array
                        items:
                          type: string
                    description: >-
                      Other metadata extracted from HTML, can be a string or
                      array of strings
                  statusCode:
                    type: integer
                    description: The status code of the page
                  numPages:
                    type: integer
                    description: >-
                      For PDF inputs, the number of pages parsed (capped by the
                      parsers maxPages option).
                  totalPages:
                    type: integer
                    description: >-
                      For PDF inputs, the document's true page count before any
                      maxPages capping. Omitted when it cannot be determined; a
                      totalPages greater than numPages indicates the result was
                      truncated.
                  error:
                    type: string
                    nullable: true
                    description: The error message of the page
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````